IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The contact object

Attributes

iduuid

Unique identifier

creator_iduuid | null
user_profiles.user_id

Identifier of the user that created the contact

organization_iduuid
organizations.id

Identifier of the organization this contact is defined in

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

addresstext

Concatenation of the address fields

avatartext | null

URL of the avatar image

citytext

City of the contact

company_nametext
countrytext

Country of the contact

country_codetext
e_invoice_addresstext
e_invoice_schemetext
emailtext

Contact email address

first_nametext

First name of the contact

ftstsvector

Full text search index

languageLanguage | null

Language of the contact

last_nametext

Last name of the contact

metaArray<{ key: string; value: string }>
nametext

Full name of the contact

notestext
phonetext

Contact phone number

provincetext

Province of the contact

statetext

State of the contact

streettext

Street address of the contact

street2text

Street address of the contact

ziptext

Zip code of the contact

The contact object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "creator_id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:46:23.814Z",
  "updated_at": "2026-03-12T05:46:23.814Z",
  "address": "",
  "avatar": "",
  "city": "",
  "company_name": "",
  "country": "",
  "country_code": "",
  "e_invoice_address": "",
  "e_invoice_scheme": "",
  "email": "",
  "first_name": "",
  "language": "en-US",
  "last_name": "",
  "meta": [
    {
      "key": "key",
      "value": "value"
    }
  ],
  "name": "",
  "notes": "",
  "phone": "",
  "province": "",
  "state": "",
  "street": "",
  "street2": "",
  "zip": ""
}

List contacts

Filters

idFilter<uuid>

Unique identifier

creator_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the contact

organization_idFilter<uuid>
organizations.id

Identifier of the organization this contact is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

addressFilter<text>

Concatenation of the address fields

avatarFilter<text | null>

URL of the avatar image

cityFilter<text>

City of the contact

company_nameFilter<text>
countryFilter<text>

Country of the contact

country_codeFilter<text>
e_invoice_addressFilter<text>
e_invoice_schemeFilter<text>
emailFilter<text>

Contact email address

first_nameFilter<text>

First name of the contact

ftsFilter<tsvector>

Full text search index

languageFilter<Language | null>

Language of the contact

last_nameFilter<text>

Last name of the contact

metaFilter<Array<{ key: string; value: string }>>
nameFilter<text>

Full name of the contact

notesFilter<text>
phoneFilter<text>

Contact phone number

provinceFilter<text>

Province of the contact

stateFilter<text>

State of the contact

streetFilter<text>

Street address of the contact

street2Filter<text>

Street address of the contact

zipFilter<text>

Zip code of the contact

Responses

200

A list of contacts with the selected columns

206

Partial Content

GET /contacts
curl -X GET "https://api.bookingmood.com/v1/contacts?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create contacts

Body

Partial<Contact> | Array<Partial<Contact>>

Responses

201

The newly created contacts with the selected columns

POST /contacts
curl -X POST "https://api.bookingmood.com/v1/contacts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete contacts

Filters

idFilter<uuid>

Unique identifier

creator_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the contact

organization_idFilter<uuid>
organizations.id

Identifier of the organization this contact is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

addressFilter<text>

Concatenation of the address fields

avatarFilter<text | null>

URL of the avatar image

cityFilter<text>

City of the contact

company_nameFilter<text>
countryFilter<text>

Country of the contact

country_codeFilter<text>
e_invoice_addressFilter<text>
e_invoice_schemeFilter<text>
emailFilter<text>

Contact email address

first_nameFilter<text>

First name of the contact

ftsFilter<tsvector>

Full text search index

languageFilter<Language | null>

Language of the contact

last_nameFilter<text>

Last name of the contact

metaFilter<Array<{ key: string; value: string }>>
nameFilter<text>

Full name of the contact

notesFilter<text>
phoneFilter<text>

Contact phone number

provinceFilter<text>

Province of the contact

stateFilter<text>

State of the contact

streetFilter<text>

Street address of the contact

street2Filter<text>

Street address of the contact

zipFilter<text>

Zip code of the contact

Responses

204

The deleted contacts with the selected columns

DELETE /contacts
curl -X DELETE "https://api.bookingmood.com/v1/contacts" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update contacts

Filters

idFilter<uuid>

Unique identifier

creator_idFilter<uuid | null>
user_profiles.user_id

Identifier of the user that created the contact

organization_idFilter<uuid>
organizations.id

Identifier of the organization this contact is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

addressFilter<text>

Concatenation of the address fields

avatarFilter<text | null>

URL of the avatar image

cityFilter<text>

City of the contact

company_nameFilter<text>
countryFilter<text>

Country of the contact

country_codeFilter<text>
e_invoice_addressFilter<text>
e_invoice_schemeFilter<text>
emailFilter<text>

Contact email address

first_nameFilter<text>

First name of the contact

ftsFilter<tsvector>

Full text search index

languageFilter<Language | null>

Language of the contact

last_nameFilter<text>

Last name of the contact

metaFilter<Array<{ key: string; value: string }>>
nameFilter<text>

Full name of the contact

notesFilter<text>
phoneFilter<text>

Contact phone number

provinceFilter<text>

Province of the contact

stateFilter<text>

State of the contact

streetFilter<text>

Street address of the contact

street2Filter<text>

Street address of the contact

zipFilter<text>

Zip code of the contact

Body

Partial<Contact>

Responses

204

The updated contacts with the selected columns

PATCH /contacts
curl -X PATCH "https://api.bookingmood.com/v1/contacts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'